Bug 1206371

Summary: assimp 3.1.1 is available
Product: [Fedora] Fedora Reporter: Orion Poplawski <orion>
Component: assimpAssignee: Rich Mattes <richmattes>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: richmattes
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: assimp-3.1.1-1.el7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-05 05:31:11 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1225692    

Description Orion Poplawski 2015-03-26 21:59:51 UTC
Description of problem:

assimp 3.1.1: released June 2014

You may want to turn on upstream monitoring for this package in pkgdb.

Comment 1 Orion Poplawski 2015-06-24 18:01:13 UTC
Rich - Would you like me to update?  Also, I'm trying to see if we can get assimp into epel7.  Would you be interested in maintaining there?

Comment 2 Rich Mattes 2015-06-24 22:39:40 UTC
I won't be able to get to it until this weekend; if you need it sooner feel free to take a crack at updating it.  You have to look out for non-free models (which is why I had to re-generate the tarball,) as well as a ton of bundled junk, including irrXML and a bundled/extended fast_atof from Irrlicht.  I wrote a fast_atof_assimp that calls the irrlicht functions for the ones that were forked, and leaves the assimp extensions alone.

There is an el7 branch that I never built, i think because irrlicht wasn't available when I was doing it. I see it's in epel7 now, so once 3.1.1 is in rawhide I'd be fine with merging that right into epel7.

Comment 3 Rich Mattes 2015-07-03 18:04:52 UTC
I'm just about done with the update, with one hitch:

Assimp bundles the "polyclipping" library in contrib/clipper.  Fedora has a package for polyclipping, but the Fedora version is much newer and contains lots of incompatible API changes.  I'm going to ask upstream to consider updating changing the code to use the newer api.

The only module that is using the updated polyclipping lib is the IFC importer, I can temporarially patch assimp to disable the IFC importer while we wait if you'd like to keep this moving along.

Comment 4 Orion Poplawski 2015-07-06 14:40:58 UTC
From discussion with the Fedora polyclipping maintainer, we're not going to try to package it for EPEL as its API changes too much (as you've just determined :).  So we're going to need to bundle it there, so I don't see a reason not to just bundle it in Fedora as well if upstream won't/can't update.

Comment 5 Rich Mattes 2015-07-12 19:24:12 UTC
Alright for the time being I'll just leave the version in contrib.

I have rebuilt for rawhide, and I'm working on getting epel7 built now.

Comment 6 Rich Mattes 2015-07-12 19:34:26 UTC
The poly2tri package is still being pushed to epel7, so I'll build once that's done.

Comment 7 Jan Kurik 2015-07-15 14:20:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 8 Rich Mattes 2015-07-16 01:41:14 UTC
OK 3.1.1 epel7 builds for me in mock, so I pushed the updates to the epel7 branch.  For some reason 'fedpkg build' is hanging for me at "Initiating a koji session to http://koji.fedoraproject.org/kojihub", so I'll try again later.

Comment 9 Fedora Update System 2015-07-19 19:41:09 UTC
assimp-3.1.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/assimp-3.1.1-1.el7

Comment 10 Fedora Update System 2015-07-20 19:46:55 UTC
assimp-3.1.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 11 Fedora Update System 2015-08-05 05:31:11 UTC
assimp-3.1.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.